org.apache.tomcat.util.net

## Interface AprEndpoint.Handler

All Superinterfaces:
  AbstractEndpoint.Handler

All Known Implementing Classes:
  AjpAprProtocol.AjpConnectionHandler, Http11AprProtocol.Http11ConnectionHandler

Enclosing class:
  AprEndpoint

    public static interface AprEndpoint.Handler
    extends AbstractEndpoint.Handler

Bare bones interface used for socket processing. Per thread data is to be stored in the ThreadWithAttributes extra folders, or alternately in thread local fields.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`AbstractEndpoint.Handler.SocketState`

### Method Summary

Methods
`AbstractEndpoint.Handler.SocketState` `process(SocketWrapper<Long> socket, SocketStatus status)`

### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

`getGlobal, recycle`

### Method Detail

#### process

    AbstractEndpoint.Handler.SocketState process(SocketWrapper<Long> socket,
                                               SocketStatus status)